> For the complete documentation index, see [llms.txt](https://docs.datasentinel.io/manual/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.datasentinel.io/manual/getting-started.md).

# Getting started

- [Architecture](https://docs.datasentinel.io/manual/getting-started/architecture.md): Datasentinel offers the flexibility to be used either On-Premises or in SaaS mode, with or without agents, enabling you to choose an architecture that best fits your needs.
- [Installation](https://docs.datasentinel.io/manual/getting-started/installation.md): For on-premises use of Datasentinel, platform installation is required. We advise utilizing a dedicated machine for optimal performance.
- [Platform](https://docs.datasentinel.io/manual/getting-started/installation/platform.md): Installation completes within minutes, ensuring that all components are operational upon completion.
- [Agent](https://docs.datasentinel.io/manual/getting-started/installation/agent.md): Datasentinel offers two monitoring approaches: agent-based and agentless. This guide focuses on the installation of an agent, applicable when you opt for the agent-based monitoring method.
- [PostgreSQL clusters](https://docs.datasentinel.io/manual/getting-started/postgresql-clusters.md): Datasentinel has the capability to monitor hundreds of PostgreSQL clusters, and a single connection to a cluster is sufficient for overseeing all the existing databases within it.
- [Extensions](https://docs.datasentinel.io/manual/getting-started/postgresql-clusters/extensions.md): Datasentinel harnesses the power of multiple PostgreSQL extensions to deliver in-depth monitoring metrics on specific areas.
- [pg\_stat\_statements](https://docs.datasentinel.io/manual/getting-started/postgresql-clusters/extensions/pg_stat_statements.md): The pg\_stat\_statements extension allows to trace the execution statistics of all queries. It is an essential extension in understanding the activity of a PostgreSQL cluster.
- [pg\_store\_plans](https://docs.datasentinel.io/manual/getting-started/postgresql-clusters/extensions/pg_store_plans.md): The PostgreSQL extension pg\_store\_plans is a contrib module that provides a way to store execution plans generated by the query planner.
- [system\_stats](https://docs.datasentinel.io/manual/getting-started/postgresql-clusters/extensions/system_stats.md): system\_stats is a PostgreSQL extension that provides functions to access system level statistics that can be used for monitoring
- [pg\_buffercache](https://docs.datasentinel.io/manual/getting-started/postgresql-clusters/extensions/pg_buffercache.md): pg\_buffercache is a PostgreSQL contrib module offering a real-time method for inspecting activities within the shared buffer cache.
- [Monitoring User](https://docs.datasentinel.io/manual/getting-started/postgresql-clusters/monitoring-user.md)
- [Adding Connection](https://docs.datasentinel.io/manual/getting-started/postgresql-clusters/adding-connection.md)
- [FAQs](https://docs.datasentinel.io/manual/getting-started/faqs.md)
- [Platform FAQ](https://docs.datasentinel.io/manual/getting-started/faqs/platform-faq.md)
- [Agent FAQ](https://docs.datasentinel.io/manual/getting-started/faqs/agent-faq.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.datasentinel.io/manual/getting-started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
